Subject: [Emo-dir] Fw: newcomer activities and IETF 112 newcomers program

From: Karen O'Donoghue <[email-masked]>
Date: Thu, 28 Oct 2021 16:40:01 +0000

Hello everyone!

I just wrote this rough summary of newcomer activities in the past (and specifically for IETF 112) for the IESG, IAB, and LLC, and I thought I would send it here as well. This is primarily just an FYI.

However, there will be an effort to look at evolving our newcomer onboarding activities coming soon. Joey will be looking for contributors so you might want to begin looking over our current program and resources to better familiarize yourself with what has been done thus far (if you aren't already aware).

Regards,
Karen

________________________________
From: Karen O'Donoghue
Sent: Thursday, October 28, 2021 12:17 PM
To: [email-masked] <[email-masked]>; IAB IAB <[email-masked]>; [email-masked] <[email-masked]>
Subject: newcomer activities and IETF 112 newcomers program

IAB, IESG, and LLC,

Given the discussion on the recent IAB/IESG/LLC workshop about IETF Newcomer activities, I thought I'd try to summarize what is currently being done in this space. I'm writing this from my perspective, and I haven't coordinated with the rest of the team. So, all errors and omissions are mine.

Our definition of a newcomer is anyone who has attended 5 or fewer meetings. Years ago we expanded from "first IETF" to "five or fewer" to give people more time to participate in the various activities. This is determined by self identification at registration time. We aren't trying to limit participation, and anyone who wants to could ask to participate.

Our newcomer program has evolved over the years, and I'm guessing you don't want all the details, but it is basically divided into the following major components (in no particular order):

  1.  Newcomer's Overview:
This was historically the Newcomer's Tutorial (basically "everything you what to know about the IETF" in 2 hours) given by Scott Bradner on Sunday. After Scott retired, Mike St. Johns recast it as "what do you need to know to get started in the IETF" in 1 hour . Since then, it has been updated several times to provide additional needed information and to try to impart a positive tone. It has been delivered both in person and via webinars. Before COVID, we were doing an in person session on Sunday and one or two webinars in the weeks before the IETF. It is now implemented as a series of prerecorded videos and a couple of open format Q&A sessions. Recent slides are here: https://www.ietf.org/media/documents/Newcomer_slides_for_download.pdf
  2.
  3.  The IETF Guides program:
This is the IETF's lightweight mentoring program that was started by Alexa and Brian Haberman. It is currently managed by Wes Hardaker and Paul Wooters. They have done significant work with Robert Sparks to improve the tooling around the matching of guides with newcomers. https://www.ietf.org/about/participate/guides/

  1.  Newcomer's Networking activities:
In this bucket, I'm putting all the things that involve newcomers getting together and interacting either with experienced IETFers or other newcomers. This started as the Newcomers Meet and Greet organized by the Secretariat. This was really popular with the IETF leadership (WG Chairs etc), but it was a bit of a struggle to make it effective for newcomers. We also ran IETF Quick Connections (basically speed dating for IETF newcomers and experienced IETFers). This turned out to be pretty successful (once described to me by an experienced IETFer as 70% interesting/useful and 30% awkward). Also in this category have historically been the newcomers dinner organized by the Secretariat and other networking activities (varying from one IETF to the next). As you can well imagine, this has been a difficult area in our current virtual setting, and we have tried several things. For IETF 112, we have the informal Newcomers Coffee breaks and a virtual escape room organized by the Secretariat.
  2.
  3.  Newcomer related comms:
This includes the various ways we try to communicate with newcomers. First, we have the main newcomers web page (https://www.ietf.org/how/meetings/112/newcomers/). This is customized for each IETF. Second, we have a newcomers mailing list ([email-masked]). I will forward the most recent email sent to the mailing list as it lists all the activities for the upcoming IETF. Finally, we have experimented a bit with a newcomers slack channel for more responsive Q&A and networking, and we will be promoting it again this time.

Please note that we have recently divided the IETF newcomer activities into two areas:
operational (what specifically are we doing in the timeframe of the next IETF) and longer term evolution (how we might change various aspects of newcomer onboarding in the future). Joey is going to kick off a discussion on the emodir mailing list about future directions in onboarding. I am specifically talking here about the operational "what is happening now" activities.

We are aware that this series of activities is defined and driven by the full IETF meeting cycle. Part of the future directions discussion will need to be around how do we break this connection to the "big" IETF meeting schedule and try to identify and engage newcomers more organically. Also, this note specifically covers activities and resources targeted for newcomers. It does not address how to make other IETF activities more newcomer friendly.

Finally, there is a team of folks working on this stuff including the Secretariat (Alexa, Jenny, Jasmine), Greg Wood, Wes Hardaker, Paul Wouters, Rich Salz, Joey, and me.

This got much longer than I anticipated, but I hope it is useful.

Regards,
Karen